/*
Copyright (C) 2004, 2005 Brian Victor Fernandes

This file is part of SuperSify.

SuperSify is a simple console based client which you can use to log into your Sify Broadband account. 
Currently, it exists only for Win32 systems.
SuperSify is a standalone client and does not require Sify's Client to work. 

SuperSify is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with XMMS mp3cue; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

SuperSify: http://broadbandforum.in/sify/supersify
Email: infernalproteus@gmail.com
*/
// XMLData.h: interface for the XMLData class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XMLDATA_H__C92E486F_DD45_4659_BE39_27D8AD0A4D09__INCLUDED_)
#define AFX_XMLDATA_H__C92E486F_DD45_4659_BE39_27D8AD0A4D09__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "D:/Program Files/Expat-1.95.8/Source/lib/expat.h"
#include <iostream>
#include <stack>
#include <map>
using namespace std;

class XMLData  
{
private:

	XML_Parser parser;
public:
	int responseCode;
	string loginURL;
	string logoutURL;
	string replyMessage;
	string pvtIP;
	string samIP;
	string message;
	string sessionID;
	string macAddress;
	string userID;
	string password;

	struct tHBStruct {
		bool	hbEnable;
		string ip;
		int port;
		int freq;
		string status;
	} hbStruct;

	struct tAccInfo {
		string balance;
		string productCode;
		string expiry;
		string lastLogin;		
		char flag;
		string renewalMessage;
		string URL;
	} accStruct;

	XMLData();
	virtual ~XMLData();
	bool parseData(const char *data, int length);	
	void freeParser();

};

#endif // !defined(AFX_XMLDATA_H__C92E486F_DD45_4659_BE39_27D8AD0A4D09__INCLUDED_)
